Authorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
names?array<string>
string
Delete a custom attributes to configure on users within a project, using a valid management key.
This API endpoint will delete a custom attribute within a project.
See also
- See Custom Attributes for further details on custom user attributes
- See Manage Users for further details on managing users.
- See The User Object for further details on the user object.
curl -X POST "https://api.descope.com/v1/mgmt/user/customattribute/delete" \ -H "Content-Type: application/json" \ -d '{}'{ "data": [ { "name": "string", "type": 0, "options": [ { "value": "string", "label": "string" } ], "displayName": "string", "defaultValue": { "@type": "string" }, "viewPermissions": [ "string" ], "editPermissions": [ "string" ], "editable": true } ], "total": "string"}export interface Response {data?: {name?: stringtype?: numberoptions?: CustomAttributeOption[]displayName?: stringdefaultValue?: GoogleProtobufviewPermissions?: string[]editPermissions?: string[]/** * this is to know if this specific user can edit this specific field */editable?: boolean}[]total?: string}/** * Custom Attributes */export interface CustomAttributeOption {value?: stringlabel?: string}/** * Contains an arbitrary serialized message along with a @type that describes the type of the serialized message. */export interface GoogleProtobuf {/** * The type of the serialized message. */"@type"?: string[k: string]: unknown} Was this helpful?
Create a Custom Attributes POST
### Create a custom attributes to configure on users within a project, using a valid management key. This API endpoint will create a custom attribute within a project. ### See also - See [Custom Attributes](/manage/users#custom-user-attributes) for further details on custom user attributes - See [Manage Users](/manage/users) for further details on managing users. - See [The User Object](/api/overview#the-user-object) for further details on the user object.
Access Key Management API Overview
Use the Descope API to manage your access keys with a management key.